libstdc++: __gnu_pbds::detail::pat_trie_base::_Head< _ATraits, Metadata > Struct Template Reference

libstdc++

__gnu_pbds::detail::pat_trie_base::_Head< _ATraits, Metadata > Struct Template Reference

`#include <pat_trie_base.hpp>`

Inheritance diagram for __gnu_pbds::detail::pat_trie_base::_Head< _ATraits, Metadata >:
[legend]

## Public Types
typedef _ATraits::const_iterator | a_const_iterator
typedef detail::rebind_traits< _Alloc, _ATraits >::const_pointer | a_const_pointer
typedef _ATraits | access_traits
typedef _Alloc | allocator_type
typedef _Node_base< _ATraits, Metadata > | base_type
typedef base_type::node_pointer | node_pointer
typedef base_type::type_traits | type_traits

## Public Attributes
node_pointer | m_p_max
node_pointer | m_p_min
node_pointer | m_p_parent
const node_type | m_type

## Detailed Description

template<typename _ATraits, typename Metadata>
struct __gnu_pbds::detail::pat_trie_base::_Head< _ATraits, Metadata >

Head node for PATRICIA tree.

Definition at line 131 of file pat_trie_base.hpp.

## Member Typedef Documentation

## ◆ a_const_iterator

template<typename _ATraits, typename Metadata>

typedef _ATraits::const_iterator __gnu_pbds::detail::pat_trie_base::_Node_base< _ATraits, Metadata >::a_const_iterator
| inherited

Definition at line 113 of file pat_trie_base.hpp.

## ◆ a_const_pointer

template<typename _ATraits, typename Metadata>

typedef detail::rebind_traits<_Alloc,_ATraits>::const_pointer __gnu_pbds::detail::pat_trie_base::_Node_base< _ATraits, Metadata >::a_const_pointer
| inherited

Definition at line 112 of file pat_trie_base.hpp.

## ◆ access_traits

template<typename _ATraits, typename Metadata>

typedef _ATraits __gnu_pbds::detail::pat_trie_base::_Node_base< _ATraits, Metadata >::access_traits
| inherited

Definition at line 100 of file pat_trie_base.hpp.

## ◆ allocator_type

template<typename _ATraits, typename Metadata>

typedef _Alloc __gnu_pbds::detail::pat_trie_base::_Node_base< _ATraits, Metadata >::allocator_type
| inherited

Definition at line 99 of file pat_trie_base.hpp.

## ◆ base_type

template<typename _ATraits, typename Metadata>

typedef _Node_base<_ATraits, Metadata> __gnu_pbds::detail::pat_trie_base::_Head< _ATraits, Metadata >::base_type

Definition at line 134 of file pat_trie_base.hpp.

## ◆ node_pointer

template<typename _ATraits, typename Metadata>

typedef base_type::node_pointer __gnu_pbds::detail::pat_trie_base::_Head< _ATraits, Metadata >::node_pointer

Definition at line 136 of file pat_trie_base.hpp.

## ◆ type_traits

template<typename _ATraits, typename Metadata>

typedef base_type::type_traits __gnu_pbds::detail::pat_trie_base::_Head< _ATraits, Metadata >::type_traits

Definition at line 135 of file pat_trie_base.hpp.

## Constructor & Destructor Documentation

## ◆ _Head()

template<typename _ATraits, typename Metadata>

__gnu_pbds::detail::pat_trie_base::_Head< _ATraits, Metadata >::_Head | ( |  | ) |
| inline

Definition at line 141 of file pat_trie_base.hpp.

## Member Data Documentation

## ◆ m_p_max

template<typename _ATraits, typename Metadata>

node_pointer __gnu_pbds::detail::pat_trie_base::_Head< _ATraits, Metadata >::m_p_max

Definition at line 139 of file pat_trie_base.hpp.

## ◆ m_p_min

template<typename _ATraits, typename Metadata>

node_pointer __gnu_pbds::detail::pat_trie_base::_Head< _ATraits, Metadata >::m_p_min

Definition at line 138 of file pat_trie_base.hpp.

## ◆ m_p_parent

template<typename _ATraits, typename Metadata>

node_pointer __gnu_pbds::detail::pat_trie_base::_Node_base< _ATraits, Metadata >::m_p_parent
| inherited

Definition at line 105 of file pat_trie_base.hpp.

## ◆ m_type

template<typename _ATraits, typename Metadata>

const node_type __gnu_pbds::detail::pat_trie_base::_Node_base< _ATraits, Metadata >::m_type
| inherited

Definition at line 106 of file pat_trie_base.hpp.

The documentation for this struct was generated from the following file:

- pat_trie_base.hpp